@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

.container {
    max-width: 800px;
    margin: 10px auto;
    background: #fff;
    padding: 40px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.campo {
    width: calc(50% - 10px);
    padding: 10px;
    margin: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
}
.linha-campos {
    display: flex;
    justify-content: space-between;
}
.grupo-checkbox {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 20px 0;
}
.grupo-checkbox label {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 14px;
}
.detalhes {
    width: calc(100% - 10px);
    height: 100px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    resize: none;
}
.botoes {
    display: flex;
    justify-content: center;
    gap: 10px;
}
button {
    flex: 1;
    padding: 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
    color: #fff;
}
.botao-email {
    background-color: #2d5dc7;
}
.botao-whatsapp {
    background-color: #25d366;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}
small {
    display: block;
    text-align: center;
    margin-top: 15px;
    color: #777;
}


@media (max-width: 768px) {
    .linha-campos {
        flex-direction: column;
        align-items: stretch; 
        width: 100%;
    }

    .campo {
        width: 100%; 
    }

    .grupo-checkbox {
       justify-content: center;
        align-items: center;
    }

    .detalhes {
        height: 200px;
        width: 100%;
    }

    .botoes {
        flex-direction: column;
    }

    button {
        width: 100%;
    }
}